@import url('./main-layout.css');
@import url('./views/zaznam-jazdy-view.css');
@import url('./views/kniha-jazd-view.css');
@import url('./views/sprava-vozidiel-view.css');
@import url('./views/servis-view.css');
@import url('./views/mesacna-uzavierka-view.css');
@import url('./views/uzivatelia-view.css');    html, spreadsheet-view-export, grid-with-filters-view-export {
      --lumo-shade-5pct: rgba(33, 33, 33, 0.05);
      --lumo-shade-10pct: rgba(33, 33, 33, 0.1);
      --lumo-shade-20pct: rgba(33, 33, 33, 0.2);
      --lumo-shade-30pct: rgba(33, 33, 33, 0.3);
      --lumo-shade-40pct: rgba(33, 33, 33, 0.4);
      --lumo-shade-50pct: rgba(33, 33, 33, 0.5);
      --lumo-shade-60pct: rgba(33, 33, 33, 0.6);
      --lumo-shade-70pct: rgba(33, 33, 33, 0.7);
      --lumo-shade-80pct: rgba(33, 33, 33, 0.8);
      --lumo-shade-90pct: rgba(33, 33, 33, 0.9);
      --lumo-primary-color-50pct: rgba(235, 89, 5, 0.5);
      --lumo-primary-color-10pct: rgba(235, 89, 5, 0.1);
      --lumo-error-color-50pct: rgba(231, 24, 24, 0.5);
      --lumo-error-color-10pct: rgba(231, 24, 24, 0.1);
      --lumo-success-color-50pct: rgba(62, 229, 170, 0.5);
      --lumo-success-color-10pct: rgba(62, 229, 170, 0.1);
      --lumo-shade: hsl(0, 0%, 13%);
      --lumo-primary-color: hsl(22, 96%, 47%);
      --lumo-primary-text-color: hsl(22, 100%, 42%);
      --lumo-error-color: hsl(0, 81%, 50%);
      --lumo-error-text-color: hsl(0, 86%, 45%);
      --lumo-success-color: hsl(159, 76%, 57%);
      --lumo-success-contrast-color: hsl(159, 29%, 10%);
      --lumo-success-text-color: hsl(159, 61%, 40%);
      --lumo-space-xl: 1.875rem;
      --lumo-space-l: 1.25rem;
      --lumo-space-m: 0.625rem;
      --lumo-space-s: 0.3125rem;
      --lumo-space-xs: 0.1875rem;

    }

/* zalomenie textu v bunke gridu */
vaadin-grid .wrap-cell {
      white-space: normal;
      overflow-wrap: anywhere; /* zalomí aj dlhé slová */
      line-height: var(--lumo-line-height-m);
}

/* wrap text */
vaadin-grid::part(wrap-cell) {
      white-space: normal;
      overflow-wrap: anywhere;
      line-height: var(--lumo-line-height-m);
}

/* badge look */
vaadin-grid::part(typ-jazda) {
      color: var(--lumo-success-text-color);
      font-weight: 600;
}

vaadin-grid::part(typ-tankovanie) {
      color: var(--lumo-contrast-60pct);
      font-weight: 600;
}

vaadin-grid::part(typ-servis) {
      color: var(--lumo-error-text-color);
      font-weight: 600;
}

vaadin-grid::part(typ-ine) {
      color: var(--lumo-primary-text-color);
      font-weight: 600;
}

